ECGDSA< EC, H > Struct Template Reference

Elliptic Curve German Digital Signature Algorithm signature scheme. More...

Inheritance diagram for ECGDSA< EC, H >:

## Static Public Member Functions

static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from DL_SS< DL_Keys_ECGDSA< EC >, DL_Algorithm_ECGDSA< EC >, DL_SignatureMessageEncodingMethod_DSA, H >
static std::string | StaticAlgorithmName ()

## Additional Inherited Members

Public Types inherited from DL_SS< DL_Keys_ECGDSA< EC >, DL_Algorithm_ECGDSA< EC >, DL_SignatureMessageEncodingMethod_DSA, H >
typedef PK_FinalTemplate< DL_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< DL_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface
Public Types inherited from DL_Keys_ECGDSA< EC >
typedef DL_PublicKey_ECGDSA< EC > | PublicKey
typedef DL_PrivateKey_ECGDSA< EC > | PrivateKey

## Detailed Description

### template<class EC, class H>
struct ECGDSA< EC, H >

Elliptic Curve German Digital Signature Algorithm signature scheme.

Template Parameters

  EC | elliptic curve field
  H | HashTransformation derived class

See also
  Erwin Hess, Marcus Schafheutle, and Pascale Serf The Digital Signature Scheme ECGDSA (October 24, 2006)

Since
  Crypto++ 6.0

Definition at line 577 of file eccrypto.h.

The documentation for this struct was generated from the following file:

- eccrypto.h